Package net.sf.saxon.trans

## Class SaxonErrorCode

- java.lang.Object
- - net.sf.saxon.trans.SaxonErrorCode

-     public class SaxonErrorCode
      extends java.lang.Object

  The class acts as a register of Saxon-specific error codes.

  Technically, these codes should be in their own namespace. At present, however, they share the same namespace as system-defined error codes.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `SXCH0002` | SXCH0002: cannot supply output to ContentHandler because it is not well-formed
    `static java.lang.String` | `SXCH0003` | SXCH0003: error reported by the ContentHandler (SAXResult) to which the result tree was sent
    `static java.lang.String` | `SXCH0004` | SXCH0004: cannot load user-supplied ContentHandler
    `static java.lang.String` | `SXCH0005` | SXCH0005: invalid pseudo-attribute syntax
    `static java.lang.String` | `SXJE0001` | SXJE0001: Must supply an argument for a non-static extension function
    `static java.lang.String` | `SXJE0005` | SXJE0005: cannot convert xs:string to Java char unless the length is exactly one
    `static java.lang.String` | `SXJE0051` | SXJE0051: supplied Java List/Array contains a member that cannot be converted to an Item
    `static java.lang.String` | `SXJE0052` | SXJE0052: exception thrown by extension function
    `static java.lang.String` | `SXJE0053` | SXJE0053: I/O error in saxon-read-binary-resource
    `static java.lang.String` | `SXJM0001` | SXJM0001: Error in arguments to saxon:send-mail
    `static java.lang.String` | `SXJM0002` | SXJM0002: Failure in saxon:send-mail reported by mail service
    `static java.lang.String` | `SXJS0001` | SXJS0001: Cannot export for Javascript if the stylesheet uses unsupported features
    `static java.lang.String` | `SXJX0001` | SXJX0001: integer in input to octets-to-base64Binary or octets-to-hexBinary is out of range 0-255
    `static java.lang.String` | `SXLM0001` | SXLM0001: stylesheet or query appears to be looping/recursing indefinitely
    `static java.lang.String` | `SXOR0001` | SXOR0001: XSD saxon:ordered constraint not satisfied
    `static java.lang.String` | `SXPK0001` | SXPK0001: No binding available for call-template instruction
    `static java.lang.String` | `SXPK0002` | SXPK0002: invalid content found in compiled package
    `static java.lang.String` | `SXPK0003` | SXPK0003: stylesheet package has unsatisfied schema dependency
    `static java.lang.String` | `SXPK0004` | SXPK0004: documentation namespace can be used only for documentation
    `static java.lang.String` | `SXRD0001` | SXRD0001: URI supplied to xsl:result-document does not identify a writable destination
    `static java.lang.String` | `SXRD0002` | SXRD0002: Base output URI for xsl:result-document is unknown
    `static java.lang.String` | `SXRD0003` | SXRD0003: Failure while closing the xsl:result-document destination after writing
    `static java.lang.String` | `SXRD0004` | SXRD0004: Unwritable file given as the result destination
    `static java.lang.String` | `SXRE0001` | SXRE0001: stack overflow within regular expression evaluation
    `static java.lang.String` | `SXSE0001` | SXSE0001: cannot use character maps in an environment with no Controller
    `static java.lang.String` | `SXSE0002` | SXSE0002: cannot use output property saxon:supply-source-locator unless tracing was enabled at compile time
    `static java.lang.String` | `SXSQ0001` | SXSQ0001: value of argument to SQL instruction is not a JDBC Connection object
    `static java.lang.String` | `SXSQ0002` | SXSQ0002: failed to close JDBC Connection
    `static java.lang.String` | `SXSQ0003` | SXSQ0003: failed to open JDBC Connection
    `static java.lang.String` | `SXSQ0004` | SXSQ0004: SQL Insert/Update/Delete action failed
    `static java.lang.String` | `SXST0001` | SXST0001: Static error in template rule, found during JIT compilation
    `static java.lang.String` | `SXST0060` | SXST0060: Template in a streaming mode is not streamable
    `static java.lang.String` | `SXST0061` | SXST0061: Requested initial mode is streamable; must supply SAXSource or StreamSource
    `static java.lang.String` | `SXST0062` | SXST0062: Component cannot be streamed, though it should be streamable
    `static java.lang.String` | `SXST0065` | SXST0065: Cannot use tracing with streaming templates
    `static java.lang.String` | `SXST0066` | SXST0066: Cannot disable optimization when xsl:stream is used
    `static java.lang.String` | `SXST0067` | SXST0067: Internal problem executing expression in streaming mode
    `static java.lang.String` | `SXST0068` | SXST0068: This configuration does not allow streaming
    `static java.lang.String` | `SXST0069` | SXST0069: Exporting a stylesheet containing static references to XQuery functions
    `static java.lang.String` | `SXST0070` | SXST0070: Exporting a stylesheet containing static references to external Java objects
    `static java.lang.String` | `SXST0071` | SXST0071: Exporting a stylesheet containing static references to saxon:tabulate-maps instruction
    `static java.lang.String` | `SXTA0001` | SXTA0001: unresolved type alias
    `static java.lang.String` | `SXTM0001` | SXTM0001: tabulate-maps: selecting an item with no pedigree
    `static java.lang.String` | `SXTT0001` | SXTT0001: field name not defined in tuple type
    `static java.lang.String` | `SXUP0081` | SXUP0081: attempt to update a non-updateable node
    `static java.lang.String` | `SXWN9000` | SXWN9000: miscellaneous warning message
    `static java.lang.String` | `SXWN9001` | SXWN9001: a variable declaration with no following siblings has no effect
    `static java.lang.String` | `SXWN9002` | SXWN9002: saxon:indent-spaces must be a positive integer
    `static java.lang.String` | `SXWN9003` | SXWN9003: saxon:require-well-formed must be "yes" or "no"
    `static java.lang.String` | `SXWN9004` | SXWN9004: saxon:next-in-chain cannot be specified dynamically
    `static java.lang.String` | `SXWN9005` | SXWN9005: The 'default' attribute of saxon:collation no longer has any effect
    `static java.lang.String` | `SXWN9006` | SXWN9006: No schema-location was specified, and no schema with the requested target namespace is known, so the schema import was ignored
    `static java.lang.String` | `SXWN9007` | SXWN9007: Cannot use reserved namespace in extension-element-prefixes
    `static java.lang.String` | `SXWN9008` | SXWN9008: Saxon extension element not recognized because namespace not declared in extension-element-prefixes
    `static java.lang.String` | `SXWN9009` | SXWN9009: an empty xsl:for-each or xsl:for-each-group has no effect
    `static java.lang.String` | `SXWN9010` | SXWN9010: saxon:recognize-binary must be "yes" or "no"
    `static java.lang.String` | `SXWN9011` | SXWN9011: saxon:memo-function ignored under Saxon-HE
    `static java.lang.String` | `SXWN9012` | SXWN9012: saxon:threads ignored when compiling with trace enabled
    `static java.lang.String` | `SXWN9013` | SXWN9013: saxon:threads ignored when not running under Saxon-EE
    `static java.lang.String` | `SXWN9014` | SXWN9014: xsl:function/@override is deprecated in 3.0
    `static java.lang.String` | `SXWN9015` | SXWN9015: Pattern will never match anything
    `static java.lang.String` | `SXWN9016` | SXWN9016: saxon:assign used with multi-threading enabled
    `static java.lang.String` | `SXWN9017` | SXWN9017: saxon:copy-of copying accumulators pointlessly
    `static java.lang.String` | `SXWN9018` | SXWN9018: warning during schema processing
    `static java.lang.String` | `SXXP0003` | SXXP0003: error reported by XML parser while parsing source document.
    `static java.lang.String` | `SXXP0004` | SXXP0004: externally supplied node belongs to the wrong Configuration.
    `static java.lang.String` | `SXXP0005` | SXXP0005: namespace of source document doesn't match namespace of the template rules in the stylesheet.
    `static java.lang.String` | `SXXP0006` | SXXP0006: general error in schema processing/validation

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SaxonErrorCode()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SXLM0001

          public static final java.lang.String SXLM0001

      SXLM0001: stylesheet or query appears to be looping/recursing indefinitely
      See Also:
        Constant Field Values

    - #### SXCH0002

          public static final java.lang.String SXCH0002

      SXCH0002: cannot supply output to ContentHandler because it is not well-formed
      See Also:
        Constant Field Values

    - #### SXCH0003

          public static final java.lang.String SXCH0003

      SXCH0003: error reported by the ContentHandler (SAXResult) to which the result tree was sent
      See Also:
        Constant Field Values

    - #### SXCH0004

          public static final java.lang.String SXCH0004

      SXCH0004: cannot load user-supplied ContentHandler
      See Also:
        Constant Field Values

    - #### SXCH0005

          public static final java.lang.String SXCH0005

      SXCH0005: invalid pseudo-attribute syntax
      See Also:
        Constant Field Values

    - #### SXRE0001

          public static final java.lang.String SXRE0001

      SXRE0001: stack overflow within regular expression evaluation
      See Also:
        Constant Field Values

    - #### SXSE0001

          public static final java.lang.String SXSE0001

      SXSE0001: cannot use character maps in an environment with no Controller
      See Also:
        Constant Field Values

    - #### SXSE0002

          public static final java.lang.String SXSE0002

      SXSE0002: cannot use output property saxon:supply-source-locator unless tracing was enabled at compile time
      See Also:
        Constant Field Values

    - #### SXXP0003

          public static final java.lang.String SXXP0003

      SXXP0003: error reported by XML parser while parsing source document. This error code means that an error occurred at the XML parsing level; the error was not detected by Saxon itself, but rather by the underlying parser. It usually means either that the document (or one of its component entities) could not be found, or that the content was not well formed, or it might be an encoding problem.
      See Also:
        Constant Field Values

    - #### SXXP0004

          public static final java.lang.String SXXP0004

      SXXP0004: externally supplied node belongs to the wrong Configuration. Saxon requires that when a stylesheet or query is run against a particular source document, the Configuration used to build that source document is the same Configuration, or a compatible Configuration, as the one used to compile the stylesheet or query. Two different configurations are compatible if they share the same NamePool. The purpose of the rule is to ensure that the mapping from QNames to integer fingerprints used in the stylesheet or query is the same as the mapping used in the source document. The constraint applies to all nodes used in the stylesheet or query, whether in the initial source document, in a document returned by the doc() or collection() function, or a node returned by a call on an external (extension) function.
      See Also:
        Constant Field Values

    - #### SXXP0005

          public static final java.lang.String SXXP0005

      SXXP0005: namespace of source document doesn't match namespace of the template rules in the stylesheet. This is a warning suggesting that the stylesheet might be making the common mistake of using unprefixed element names in match patterns and path expressions, when the source document actually uses a default namespace. Often the problem can be solved by adding to the xsl:stylesheet element the attribute xpath-default-namespace="URI", where URI is the namespace declared in the source document.

      The check that generates this warning can be suppressed by setting the Configuration option `FeatureKeys.SUPPRESS_XSLT_NAMESPACE_CHECK`. On the command line this can be done by writing "--suppressXsltNamespaceCheck:on".

      The actual test that results in this warning is as follows. The root element of the principal source document must be in a namespace N; and the set of template rules in the initial mode must include no match pattern that explicitly matches a named element in namespace N, but must contain at least one match pattern that matches named elements in some other namespace, or in no namespace.

      See Also:
        Constant Field Values

    - #### SXXP0006

          public static final java.lang.String SXXP0006

      SXXP0006: general error in schema processing/validation
      See Also:
        Constant Field Values

    - #### SXSQ0001

          public static final java.lang.String SXSQ0001

      SXSQ0001: value of argument to SQL instruction is not a JDBC Connection object
      See Also:
        Constant Field Values

    - #### SXSQ0002

          public static final java.lang.String SXSQ0002

      SXSQ0002: failed to close JDBC Connection
      See Also:
        Constant Field Values

    - #### SXSQ0003

          public static final java.lang.String SXSQ0003

      SXSQ0003: failed to open JDBC Connection
      See Also:
        Constant Field Values

    - #### SXSQ0004

          public static final java.lang.String SXSQ0004

      SXSQ0004: SQL Insert/Update/Delete action failed
      See Also:
        Constant Field Values

    - #### SXJE0001

          public static final java.lang.String SXJE0001

      SXJE0001: Must supply an argument for a non-static extension function
      See Also:
        Constant Field Values

    - #### SXJE0005

          public static final java.lang.String SXJE0005

      SXJE0005: cannot convert xs:string to Java char unless the length is exactly one
      See Also:
        Constant Field Values

    - #### SXJE0051

          public static final java.lang.String SXJE0051

      SXJE0051: supplied Java List/Array contains a member that cannot be converted to an Item
      See Also:
        Constant Field Values

    - #### SXJE0052

          public static final java.lang.String SXJE0052

      SXJE0052: exception thrown by extension function
      See Also:
        Constant Field Values

    - #### SXJE0053

          public static final java.lang.String SXJE0053

      SXJE0053: I/O error in saxon-read-binary-resource
      See Also:
        Constant Field Values

    - #### SXJM0001

          public static final java.lang.String SXJM0001

      SXJM0001: Error in arguments to saxon:send-mail
      See Also:
        Constant Field Values

    - #### SXJM0002

          public static final java.lang.String SXJM0002

      SXJM0002: Failure in saxon:send-mail reported by mail service
      See Also:
        Constant Field Values

    - #### SXOR0001

          public static final java.lang.String SXOR0001

      SXOR0001: XSD saxon:ordered constraint not satisfied
      See Also:
        Constant Field Values

    - #### SXJX0001

          public static final java.lang.String SXJX0001

      SXJX0001: integer in input to octets-to-base64Binary or octets-to-hexBinary is out of range 0-255
      See Also:
        Constant Field Values

    - #### SXJS0001

          public static final java.lang.String SXJS0001

      SXJS0001: Cannot export for Javascript if the stylesheet uses unsupported features
      See Also:
        Constant Field Values

    - #### SXPK0001

          public static final java.lang.String SXPK0001

      SXPK0001: No binding available for call-template instruction
      See Also:
        Constant Field Values

    - #### SXPK0002

          public static final java.lang.String SXPK0002

      SXPK0002: invalid content found in compiled package
      See Also:
        Constant Field Values

    - #### SXPK0003

          public static final java.lang.String SXPK0003

      SXPK0003: stylesheet package has unsatisfied schema dependency
      See Also:
        Constant Field Values

    - #### SXPK0004

          public static final java.lang.String SXPK0004

      SXPK0004: documentation namespace can be used only for documentation
      See Also:
        Constant Field Values

    - #### SXRD0001

          public static final java.lang.String SXRD0001

      SXRD0001: URI supplied to xsl:result-document does not identify a writable destination
      See Also:
        Constant Field Values

    - #### SXRD0002

          public static final java.lang.String SXRD0002

      SXRD0002: Base output URI for xsl:result-document is unknown
      See Also:
        Constant Field Values

    - #### SXRD0003

          public static final java.lang.String SXRD0003

      SXRD0003: Failure while closing the xsl:result-document destination after writing
      See Also:
        Constant Field Values

    - #### SXRD0004

          public static final java.lang.String SXRD0004

      SXRD0004: Unwritable file given as the result destination
      See Also:
        Constant Field Values

    - #### SXST0001

          public static final java.lang.String SXST0001

      SXST0001: Static error in template rule, found during JIT compilation
      See Also:
        Constant Field Values

    - #### SXST0060

          public static final java.lang.String SXST0060

      SXST0060: Template in a streaming mode is not streamable
      See Also:
        Constant Field Values

    - #### SXST0061

          public static final java.lang.String SXST0061

      SXST0061: Requested initial mode is streamable; must supply SAXSource or StreamSource
      See Also:
        Constant Field Values

    - #### SXST0062

          public static final java.lang.String SXST0062

      SXST0062: Component cannot be streamed, though it should be streamable
      See Also:
        Constant Field Values

    - #### SXST0065

          public static final java.lang.String SXST0065

      SXST0065: Cannot use tracing with streaming templates
      See Also:
        Constant Field Values

    - #### SXST0066

          public static final java.lang.String SXST0066

      SXST0066: Cannot disable optimization when xsl:stream is used
      See Also:
        Constant Field Values

    - #### SXST0067

          public static final java.lang.String SXST0067

      SXST0067: Internal problem executing expression in streaming mode
      See Also:
        Constant Field Values

    - #### SXST0068

          public static final java.lang.String SXST0068

      SXST0068: This configuration does not allow streaming
      See Also:
        Constant Field Values

    - #### SXST0069

          public static final java.lang.String SXST0069

      SXST0069: Exporting a stylesheet containing static references to XQuery functions
      See Also:
        Constant Field Values

    - #### SXST0070

          public static final java.lang.String SXST0070

      SXST0070: Exporting a stylesheet containing static references to external Java objects
      See Also:
        Constant Field Values

    - #### SXST0071

          public static final java.lang.String SXST0071

      SXST0071: Exporting a stylesheet containing static references to saxon:tabulate-maps instruction
      See Also:
        Constant Field Values

    - #### SXTA0001

          public static final java.lang.String SXTA0001

      SXTA0001: unresolved type alias
      See Also:
        Constant Field Values

    - #### SXTM0001

          public static final java.lang.String SXTM0001

      SXTM0001: tabulate-maps: selecting an item with no pedigree
      See Also:
        Constant Field Values

    - #### SXTT0001

          public static final java.lang.String SXTT0001

      SXTT0001: field name not defined in tuple type
      See Also:
        Constant Field Values

    - #### SXUP0081

          public static final java.lang.String SXUP0081

      SXUP0081: attempt to update a non-updateable node
      See Also:
        Constant Field Values

    - #### SXWN9000

          public static final java.lang.String SXWN9000

      SXWN9000: miscellaneous warning message
      See Also:
        Constant Field Values

    - #### SXWN9001

          public static final java.lang.String SXWN9001

      SXWN9001: a variable declaration with no following siblings has no effect
      See Also:
        Constant Field Values

    - #### SXWN9002

          public static final java.lang.String SXWN9002

      SXWN9002: saxon:indent-spaces must be a positive integer
      See Also:
        Constant Field Values

    - #### SXWN9003

          public static final java.lang.String SXWN9003

      SXWN9003: saxon:require-well-formed must be "yes" or "no"
      See Also:
        Constant Field Values

    - #### SXWN9004

          public static final java.lang.String SXWN9004

      SXWN9004: saxon:next-in-chain cannot be specified dynamically
      See Also:
        Constant Field Values

    - #### SXWN9005

          public static final java.lang.String SXWN9005

      SXWN9005: The 'default' attribute of saxon:collation no longer has any effect
      See Also:
        Constant Field Values

    - #### SXWN9006

          public static final java.lang.String SXWN9006

      SXWN9006: No schema-location was specified, and no schema with the requested target namespace is known, so the schema import was ignored
      See Also:
        Constant Field Values

    - #### SXWN9007

          public static final java.lang.String SXWN9007

      SXWN9007: Cannot use reserved namespace in extension-element-prefixes
      See Also:
        Constant Field Values

    - #### SXWN9008

          public static final java.lang.String SXWN9008

      SXWN9008: Saxon extension element not recognized because namespace not declared in extension-element-prefixes
      See Also:
        Constant Field Values

    - #### SXWN9009

          public static final java.lang.String SXWN9009

      SXWN9009: an empty xsl:for-each or xsl:for-each-group has no effect
      See Also:
        Constant Field Values

    - #### SXWN9010

          public static final java.lang.String SXWN9010

      SXWN9010: saxon:recognize-binary must be "yes" or "no"
      See Also:
        Constant Field Values

    - #### SXWN9011

          public static final java.lang.String SXWN9011

      SXWN9011: saxon:memo-function ignored under Saxon-HE
      See Also:
        Constant Field Values

    - #### SXWN9012

          public static final java.lang.String SXWN9012

      SXWN9012: saxon:threads ignored when compiling with trace enabled
      See Also:
        Constant Field Values

    - #### SXWN9013

          public static final java.lang.String SXWN9013

      SXWN9013: saxon:threads ignored when not running under Saxon-EE
      See Also:
        Constant Field Values

    - #### SXWN9014

          public static final java.lang.String SXWN9014

      SXWN9014: xsl:function/@override is deprecated in 3.0
      See Also:
        Constant Field Values

    - #### SXWN9015

          public static final java.lang.String SXWN9015

      SXWN9015: Pattern will never match anything
      See Also:
        Constant Field Values

    - #### SXWN9016

          public static final java.lang.String SXWN9016

      SXWN9016: saxon:assign used with multi-threading enabled
      See Also:
        Constant Field Values

    - #### SXWN9017

          public static final java.lang.String SXWN9017

      SXWN9017: saxon:copy-of copying accumulators pointlessly
      See Also:
        Constant Field Values

    - #### SXWN9018

          public static final java.lang.String SXWN9018

      SXWN9018: warning during schema processing
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SaxonErrorCode

          public SaxonErrorCode()